POST api/pcconfigapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"id": "b1fcd834-8ae0-4ec2-b4f0-c347082f0ada",
"key": "fe04b554-c95c-41ef-bec5-8dce1422f153",
"pc_id": "aec9d87b-4215-486e-8b7c-f062903542bd",
"value": "sample string 3"
}
application/xml, text/xml
Sample:
<pc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <id>b1fcd834-8ae0-4ec2-b4f0-c347082f0ada</id> <key>fe04b554-c95c-41ef-bec5-8dce1422f153</key> <pc_id>aec9d87b-4215-486e-8b7c-f062903542bd</pc_id> <value>sample string 3</value> </pc_config>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"6392bf6d-079c-4814-9dac-25505722fe05"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">6392bf6d-079c-4814-9dac-25505722fe05</guid>